/***************************************************************************
                          outputc.h  -  description
                             -------------------
    begin                : Tue Sep 12 2000
    copyright            : (C) 2000 by Philipp Ghring
    email                : p.guehring@poboxes.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OUTPUTC_H
#define OUTPUTC_H

#include "quick.h"

/**Creates a unique interface to output to stdout or HTML Widgets. It makes me sad to have to have this class.
  *@author Philipp Ghring
  */

class OutputC {
private:
  KHTMLView *html;
public: 
	OutputC(KHTMLView *html=NULL);
	~OutputC();
  /** This is is printf like function for HTML Widgets or the stdout */
  void write(const char *text);
};

#endif
